package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.BMaintenancePlan;
import cn.cecep.talroad.vo.analysis.MaintenancePlanAllInfo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
public interface BMaintenancePlanService extends IService<BMaintenancePlan>{


    int updateBatch(List<BMaintenancePlan> list);

    int updateBatchSelective(List<BMaintenancePlan> list);

    int batchInsert(List<BMaintenancePlan> list);

    IPage<MaintenancePlanAllInfo> selectCoAllInfoService(MaintenancePlanAllInfo info);

    List<MaintenancePlanAllInfo> selectCoAllInfoServiceList(MaintenancePlanAllInfo info);
}
